3 Replies Latest reply: Aug 8, 2012 7:25 PM by cpr4cpu
williamfromelmhurst Level 1 Level 1 (0 points)

i want to install os x mountain lion they seid .os x mountain lion is not compatible with this computer my mac is os x lion 10.7.4(11E53)


MacBook Pro (15-inch Core 2 Duo), Mac OS X (10.7.4)